
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Tasks Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Tasks</h1><h2>Description</h2>
<p>This interface provides access to the collection of PIM tasks.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Tasks</tt></p>
<h2>Methods</h2><ul>
<li><a href="#Add">Add</a></li>
<li><a href="#GetSingleTaskSingleField">GetSingleTaskSingleField</a></li>
<li><a href="#Query">Query</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#NewTask">NewTask</a></li>
<li><a href="#UnfinishedTasks">UnfinishedTasks</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="Add">Add</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Add a new task to the default backend for tasks. </p><h4>Parameters</h4><i>a{sv}: task_data</i><p>The new tasks data. </p><h4>Returns</h4><i>s: task_path</i><p>The path of the added task. </p>
<h3><a name="GetSingleTaskSingleField">GetSingleTaskSingleField</a> ( a{sv}s ) &rarr; s</h3>
<p><i>Description:</i> Query the content of one field of one task. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><i>s: field</i><p>The name of the field to query. </p><h4>Returns</h4><i>s: value</i><p>The content of the queried field. </p>
<h3><a name="Query">Query</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Start a query for tasks. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><h4>Returns</h4><i>s: query_path</i><p>The path for the started query. </p>
<h1>Signals</h1><h3><h3><a name="NewTask">NewTask</a> ( s )</h3><p><i>Description:</i> Sent when a new task is loaded. </p><h4>Parameters</h4><i>s: task_path</i><p>The path of the newly loaded task. </p></h3>
<h3><h3><a name="UnfinishedTasks">UnfinishedTasks</a> ( i )</h3><p><i>Description:</i> Sent when amount of unfinished tasks changes. </p><h4>Parameters</h4><i>i: amount</i><p>Amount of unfinished tasks. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

